job "aload" {
  datacenters = ["dc1"]

  group "server" {
    count = 1

    volume "ampache" {
      type = "csi"
      source = "ampache"
      access_mode = "multi-node-multi-writer"
      attachment_mode = "file-system"
    }

    network {
      port "http" {
        to = 80
        static = 8092
      }
    }

    task "aload" {
      driver = "podman"

      config {
        image = "127.0.0.1:5000/aload:latest"
        force_pull = true
        ports = ["http"]
        volumes = [
          # mount the templated config from the task directory to the container
          "local/aload.conf:/etc/apache2/conf.d/aload.conf",
        ]
      }

      template {
        destination = "${NOMAD_TASK_DIR}/aload.conf"
        data = file("./templates/aload.conf.tmpl")
      }

      volume_mount {
        volume = "ampache"
        destination = "/var/www/localhost/ampache"
      }

      resources {
        memory = 32
        memory_max = 64
        cpu    = 100
      }
    }
  }
}
