job "ampache-catalog" {
  datacenters = ["dc1"]
  type = "batch"

  vault {}

  periodic {
    crons = [
      "@daily",
      #"*/12 * * * *"
    ]
  }

  group "catalog-update" {
    count = 1

    volume "ampache" {
      type = "csi"
      source = "ampache"
      access_mode = "multi-node-multi-writer"
      attachment_mode = "file-system"
    }

    task "update-catalog" {
      driver = "podman"

      config {
        image = "docker.io/ampache/ampache:nosql"
        command = "/bin/sh"
        # [-c|--cleanup] [-e|--verify] [-a|--add] [-g|--art]
        args = ["-c", "/var/www/bin/cli run:updateCatalog -ceag"]
        volumes = [
          # mount the templated config from the task directory to the container
          "local/ampache.cfg.php:/var/www/config/ampache.cfg.php",
        ]
      }

      volume_mount {
        volume = "ampache"
        destination = "/media"
      }

      template {
        destination = "${NOMAD_TASK_DIR}/ampache.cfg.php"
        data = file("./templates/ampache.cfg.php.tmpl")
        uid = 33
        gid = 33
      }

      resources {
        memory = 50
        memory_max = 256
        cpu    = 100
      }
    }
  }
}
