job "bastard" {
  datacenters = ["dc1"]

  group "operator" {
    count = 1

    volume "tls" {
      type = "csi"
      source = "certbot"
      access_mode = "multi-node-multi-writer"
      attachment_mode = "file-system"
    }

    network {
      port "http" {
        to = 8080
      }
      port "https" {
        static = 44404
      }
    }

    task "nginx" {
      driver = "podman"

      config {
        image = "docker.io/library/nginx:stable-alpine"
        ports = ["https"]
        volumes = [
          # mount the templated config from the task directory to the container
          "local/bastard.conf:/etc/nginx/conf.d/bastard.conf",
        ]
      }

      volume_mount {
        volume = "tls"
        destination = "/etc/letsencrypt"
      }

      template {
        destination = "${NOMAD_TASK_DIR}/bastard.conf"
        data = file("./templates/nginx.conf.tmpl")
      }

      resources {
        memory = 50
        memory_max = 128
        cpu    = 200
      }
    }

    task "bastard" {
      driver = "podman"

      config {
        image = "127.0.0.1:5000/bastard-operator:latest"
        force_pull = true
        ports = ["http"]
      }

      resources {
        memory = 50
        memory_max = 128
        cpu    = 200
      }
    }
  }
}
