Basic Usage
-----------

Register the volumes:

nomad volume register volume-git.hcl
nomad volume register volume-stagit.hcl

Run the job:

nomad job run -detach git.nomad

The git server job runs several tasks with distinct purpose:
* smarthttp - A Smart HTTP frontend for Git (Port 80)
* stagit - A HTTP frontend to display static files (Port 80)

Git on the Server
-----------------

Create `git-daemon-export-ok` file to make the repo public:

https://git-scm.com/book/en/v2/Git-on-the-Server-Git-Daemon

/srv/git # touch /srv/git/public/test.git/git-daemon-export-ok 

If not set, results in "access denied" on clone (http/git):

$ git clone git://$repo-host/public/test.git
Cloning into 'test'...
fatal: remote error: access denied or repository not exported: /test.git

It also shows a 404 in Stagit Web UI (because static files are not created or removed).

Stagit Web Interface
--------------------

The following files describe a repo:
* .git/url
* .git/description
* .git/owner

This information is also rendered in Stagit web UI.

More information can be found directly in the upstream documentation and the
man page at https://git.codemadness.org/stagit.

To re-render the static html pages, run stagit CLI on the server:

$ nomad exec -task stagit d129cfa4 sh
/ # which stagit
/usr/local/bin/stagit

/srv/git # /opt/stagit/create.sh 
test... done

Some remarks on how that script works:
* Only generates the static fils when git-daemon-export-ok file exists
* The repo will always be in the index, but 404 on the web interface if the
  file does not exist
* The index will only show repos with at least 1 commit

The post-receive hook to re-generate the static html files on further push
changes to the repo is automatically added to the repo during `create.sh`.

SMART-HTTP read/write access
----------------------------

To clone repositories:

git clone http://$repo-host:$repo-port/test.git
git clone http://$repo-host:$repo-port/test

Some remarks on how smart HTTP access works:
* Cloning a repo still requires git-daemon-export-ok file. Read access is
  granted when git-daemon-export-ok exists.
* Write access is granted with Smart HTTP (HTTPS) protocol and BasicAuth

https://git-scm.com/book/en/v2/Git-on-the-Server-Smart-HTTP

The user credentials for BasicAuth can be stored on the server. To create a new
file for $user:

$ nomad exec -task smarthttp 1dc64f2f sh
/ # htpasswd /srv/git/.htpasswd $user

