# Register external nfs volume with Nomad CSI
# https://www.nomadproject.io/docs/commands/volume/register
type = "csi"
# Unique ID of the volume, volume.source field in a job 
id = "git"
# Display name of the volume.
name = "git"
# ID of the physical volume from the storage provider
external_id = "csi-git"
plugin_id = "nfs"

# You must provide at least one capability block
# You must provide a block for each capability
# youintend to use in a job's volume block
# https://www.nomadproject.io/docs/commands/volume/register
capability {
  access_mode = "multi-node-multi-writer"
  attachment_mode = "file-system"
}

# https://github.com/kubernetes-csi/csi-driver-nfs/blob/master/docs/driver-parameters.md
context {
  server = "turris"
  share = "csi-git"
}

mount_options {
  # mount.nfs: Either use '-o nolock' to keep locks local, or start statd.
  mount_flags = ["nolock"]
}

