job "postfix" {
  datacenters = ["dc1"]

  group "server" {
    count = 1

    network {
      port "postfix_smtp" {
        to = 25
      }
      port "postfix_submission" {
        to = 587
      }
    }

    task "postfix" {
      driver = "podman"

      config {
        image = "127.0.0.1:5000/postfix:latest"
        ports = ["postfix_smtp", "postfix_submission"]
      }

      resources {
        memory = 128
        cpu    = 100
      }
    }
  }
}
