job "docker-prune" {
  datacenters = ["dc1"]
  type = "sysbatch"

  periodic {
    # All 8 hours
    cron = "3 1/8 * * *"
    prohibit_overlap = true
  }

  group "prune" {
    count = 1

    network {
      mode = "host"
    }

    task "docker" {
      driver = "raw_exec"

      config {
        command = "/usr/bin/sh"
        args = ["-c", "podman system prune --all --force"]
      }

      resources {
        memory = 64
        memory_max = 256
        cpu    = 100
      }
    }
  }
}
