job "plugin-nfs-nodes" {
  datacenters = ["dc1"]

  # you can run node plugins as service jobs as well, but this ensures
  # that all nodes in the DC have a copy.
  type = "system"

  priority = 100

  group "nodes" {
    task "plugin" {
      driver = "podman"

      config {
        image = "mcr.microsoft.com/k8s/csi/nfs-csi:latest"
        force_pull = true

        args = [
          "--v=5",
          "--nodeid=${attr.unique.hostname}",
          "--endpoint=unix:///csi/csi.sock",
          "--drivername=nfs.csi.k8s.io"
        ]

        # node plugins must run as privileged jobs because they
        # mount disks to the host
        privileged = true
      }

      csi_plugin {
        id        = "nfs"
        type      = "node"
        mount_dir = "/csi"
      }

      resources {
        memory = 256
        memory_max = 512
        cpu    = 500
      }
    }
  }
}

