# Create a variable registry/images in Nomad with the list of images:
#  image1:latest,image2:v2,more-images:latest

job "docker-pull" {
  datacenters = ["dc1"]
  type = "sysbatch"

  periodic {
    cron = "@daily"
  }

  group "pull" {
    count = 1

    task "docker" {
      driver = "raw_exec"

      template {
        destination = "${NOMAD_TASK_DIR}/pull.sh"
        data = file("./templates/pull.sh.tmpl")
        perms = 755
      }

      config {
        command = "/usr/bin/sh"
        args = ["-c", "local/pull.sh"]
      }

      resources {
        memory = 64
        memory_max = 256
        cpu    = 300
      }
    }
  }
}
