job "simple-registry" {
  datacenters = ["dc1"]
  type = "service"
  priority = 85

  group "server" {
    count = 5

    volume "registry-data" {
      type = "csi"
      source = "registry"
      access_mode = "multi-node-multi-writer"
      attachment_mode = "file-system"
    }

    network {
      port "http" {
        to = 5000
        static = 5000
        host_network = "private"
      }
      port "internal-registry" {
        to = 5000
        static = 5000
      }
    }

    task "registry" {
      driver = "podman"

      volume_mount {
        volume = "registry-data"
        destination = "/var/lib/registry"
      }

      env {
        REGISTRY_STORAGE_DELETE_ENABLED = true
      }

      config {
        image = "registry:latest"
        force_pull = false
        ports = ["http", "internal-registry"]
      }

      resources {
        memory = 256
        memory_max = 512
        cpu    = 500
      }
    }
  }
}
